/*
 * Created on May 27, 2012
 */

package riven.virtualthreads.test;

public class ResourceSource extends ResourceHolder {
   
   public ResourceSource() {
      super(Integer.MAX_VALUE);
   }
   
   public boolean isEmpty() {
      return false;
   }
   
   public float getRatio() {
      return 1.0f;
   }
   
   public boolean isFull() {
      return true;
   }
   
   public int getFilledSpace() {
      return Integer.MAX_VALUE;
   }
   
   public int getFreeSpace() {
      return Integer.MAX_VALUE;
   }
   
   public int put(int amount) {
      if (amount < 0) {
         throw new IllegalArgumentException();
      }
      return amount;
   }
   
   public int take(int amount) {
      if (amount < 0) {
         throw new IllegalArgumentException();
      }
      return amount;
   }
   
   @Override
   public String toString() {
      return "infinite/infinite";
   }
   
}